wifi8 2.0.0.0

Data Fields
wifi8_m2m_wifi_connect_legacy_1_2_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
wifi8_m2m_wifi_sec_info_legacy_1_2_t | str_sec
uint16_t | u16_ch
uint8_t | au8ssid [M2M_MAX_SSID_LEN]
uint8_t | u8_no_save_cred

## Field Documentation

## ◆ au8ssid

uint8_t au8ssid[M2M_MAX_SSID_LEN]

ssid of the desired ap. it must be null terminated string.

## ◆ str_sec

wifi8_m2m_wifi_sec_info_legacy_1_2_t str_sec

security parameters for authenticating with the ap.

## ◆ u16_ch

uint16_t u16_ch

rf channel for the target ssid as enumerated in wifi8_m2m_scan_ch_t.

## ◆ u8_no_save_cred

uint8_t u8_no_save_cred

set to '1' to prevent winc from saving authentication info (psk, wep key, 801.1x password) on winc flash.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h